CREATE FUNCTION CF_Cbte_Numerar (@Id_Tipo_Cbte CHAR(4))
RETURNS INT
AS
BEGIN
DECLARE @Tipo_Numeracion	CHAR(3)
DECLARE @Prox_Nro			INT
DECLARE @Id_Tipo_Cbte_Dest  CHAR(3)
DECLARE @Mensaje			VARCHAR(100)

SELECT @Tipo_Numeracion = UPPER(Tipo_Numeracion)
       ,@Prox_Nro = Prox_Nro
	   ,@Id_Tipo_Cbte_Dest = Id_Tipo_Cbte_Dest 
	   FROM Cbtes_Tipos WHERE Id_Tipo_Cbte =  dbo.CF_Cbte_Traer_Tipo_Dest(@Id_Tipo_Cbte)

IF @Tipo_Numeracion = 'MAN'
	RETURN 0

IF ISNULL(@Prox_Nro,0) = 0
	SET @Prox_Nro = 1


RETURN ISNULL(@Prox_Nro,0)
END 